{% extends "base.html" %}

{% block content %}
    <h2>Music</h2>
    <audio controls = "controls" autoplay = "autoplay"></audio>
    <ul>
        {% for song in music %}
            <!-- {{ song.image}} -->
            {% if song.image != None %}
                {% set source = 'image/cover/'+ song.image %}
                <img height="100px" width="100px" src="{{url_for('static', filename='image/cover/'+song.image)}}" alt="" /><br>
                {% endif %}
            <a href = "javascript:void(0);" onclick = "playSong('{{ song.name }}')">{{ song.name }}</a><br>
            <p>{{source}}</p>
        {% endfor %}
    </ul>
    <script type = "text/javascript">
        function playSong(song){
            $('audio').attr('src', '/static/music/'+song);
        }
    </script>
    {% endblock %}
</html>